## class OSGUTIL_EXPORT osgUtil::InsertImpostorsVisitor

> Insert impostor nodes into scene graph.

## Inheritance:

### Public Methods

InsertImpostorsVisitor()
  default to traversing all children
void setImpostorThresholdRatio(float ratio)
float getImpostorThresholdRatio() const
void setMaximumNumberOfNestedImpostors(unsigned int num)
unsigned int getMaximumNumberOfNestedImpostors() const
void reset()
  empty visitor, make it ready for next traversal
virtual void apply(osg::Node& node)
virtual void apply(osg::Group& node)
virtual void apply(osg::LOD& node)
virtual void apply(osg::Impostor& node)
void insertImpostors()

### Protected Fields

GroupList _groupList
LODList _lodList
float _impostorThresholdRatio
unsigned int _maximumNumNestedImpostors
unsigned int _numNestedImpostors

### Protected Members

typedef std::vector< osg::Group* > GroupList
typedef std::vector< osg::LOD* > LODList

## Documentation

> Insert impostor nodes into scene graph. For example of usage see src/Demos/osgimpostor.

`InsertImpostorsVisitor()`
  default to traversing all children

`void setImpostorThresholdRatio(float ratio)`

`float getImpostorThresholdRatio() const`

`void setMaximumNumberOfNestedImpostors(unsigned int num)`

`unsigned int getMaximumNumberOfNestedImpostors() const`

`void reset()`
  empty visitor, make it ready for next traversal

`virtual void apply(osg::Node& node)`

`virtual void apply(osg::Group& node)`

`virtual void apply(osg::LOD& node)`

`virtual void apply(osg::Impostor& node)`

`void insertImpostors()`

`typedef std::vector< osg::Group* > GroupList`

`typedef std::vector< osg::LOD* > LODList`

`GroupList _groupList`

`LODList _lodList`

`float _impostorThresholdRatio`

`unsigned int _maximumNumNestedImpostors`

`unsigned int _numNestedImpostors`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.